/*******************************************************************************
 *  Videoton üdülés foglalási rendszer                                         *
 *  V 1.0 fő stíluslap                                                         *
 *  (c) Bíró Sándor                                                            *
 *  2023.06.29.                                                                *
 *******************************************************************************/

@media screen and (max-width: 600px) {
    div.mobile {
        font-size: 11px;
    }

    div.mobile_p0 {
        font-size: 11px;
        padding: 0px;
    }
}


.login_error {

    color: #FFFF00;
    font-size: 12px;
    font-weight: bold;
    background-color: #CC0000;
    margin: 15px;
    padding: 5px;
    border: 1px dotted #FFFF00;
}

/* mozgatható modalhoz*/
.modal-header {
    cursor: move;
}

.menupointer {
    cursor: pointer;
}

.pointer {
    cursor: pointer;
}

.pointer:hover {
    background-color: #FFFFEE !important;
}

.wcheck-icon {
    margin: 7px 0 0 3px;
}

.w30 {
    width: 30px;
}

.w34 {
    width: 34px;
}

.w36 {
    width: 36px;
}

.w55 {
    width: 55px;
}

.w110 {
    width: 110px;
}

.w130i {
    width: 130px !important;
}

.w140 {
    width: 140px;
}

.w160 {
    width: 160px;
}

.w200 {
    width: 200px;
}

.w300 {
    width: 300px;
}

.h20 {
    height: 20px;
    line-height: normal;
}

.h30 {
    height: 30px;
    line-height: normal;
}

.h35 {
    height: 35px;
    line-height: normal;
}

.h40 {
    height: 40px;
    line-height: normal;
}

.h44 {
    height: 44px;
    line-height: normal;
}

.h50 {
    height: 50px;
    line-height: normal;
}

.h54 {
    height: 54px;
    line-height: normal;
}

.h60 {
    height: 60px;
    line-height: normal;
}

.inputclass {
    background-color: #FFFFEE !important;
    padding-left: 6px !important;
    padding-right: 4px !important;
}

.inputclass:hover {
    background-color: #FFFFBB !important;
    border: 1px solid #9F9F9F;
}

.inputclass:active {
    background-color: #FFFF77 !important;
    border: 1px solid #9F9F9F;
}

.inputclass:focus {
    background-color: #FFFF77 !important;
    border: 1px solid #9F9F9F;
}

.readonlyinput {
    font-size: 13px;
    outline: none;
    color: #666666;
    font-weight: bold;
    border: none;
    background-color: #F7F7F7 !important;
    width: 100%;
    padding-left: 3px !important;
    padding-right: 3px !important;
    margin-top: 1px;
}

.iframe-room {
    /*szoba foglalás iframe*/
    width: 100%;
    border: none;
    overflow-y: hidden;
}

.title-line {
    border-bottom: 1px solid #bbbbbb;
    text-shadow: 1px 2px #bbbbbb;
}

.search_input {
    font-size: 10px;
    text-align: center;
    color: #666666;
    background: #E0E0E0;
    width: 90%;
    height: 15px;
    margin: 0px;
    padding: 0px;
    text-decoration: none;
    border: 1px solid #7a7a7a;
    outline: none;
    position: absolute;
    bottom: 0;
    left: 6%;
}

.search_input:focus {
    background: #FFFF00;
}

.import_input {
    font-size: 11px;
    color: #015817;
    height: 100%;
    width: 100%;
    margin: 0px;
    padding: 0 5px 0 5px;
    text-decoration: none;
    border: none;
    background: transparent;
}

.import_input:active,
.import_input:focus {
    background-color: #FFFFBB;
    border-color: #00A972;
    color: #000099;
    outline-style: solid;
    outline-color: #000099;
    outline-width: thin;
}



/*háttérszínekhez a szoba foglaltság jelzéséhez */
.absolute {
    position: absolute;
    z-index: 1;
}

input[type="number"] {
    position: relative;
}

/* Spin Buttons modified */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    background: #FFF url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAkAAAAJCAYAAADgkQYQAAAAKUlEQVQYlWNgwAT/sYhhKPiPT+F/LJgEsHv37v+EMGkmkuImoh2NoQAANlcun/q4OoYAAAAASUVORK5CYII=) no-repeat center center;
    width: 2em;
    border-left: 1px solid #BBB;
    opacity: .5;
    /* shows Spin Buttons per default (Chrome >= 39) */
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
}

input[type="number"]::-webkit-inner-spin-button:hover,
input[type="number"]::-webkit-inner-spin-button:active {
    box-shadow: 0 0 2px #0CF;
    opacity: .8;
}

input[type="text"]:disabled {
    color: #999999 !important;
}

input[type="number"]:disabled {
    color: #999999 !important;
}

textarea[disabled="disabled"] {
    color: #999999 !important;
}

input[type="date"]:disabled {
    color: #999999 !important;
}

input[type="email"]:disabled {
    color: #999999 !important;
}

input[type="time"]:disabled {
    color: #999999 !important;
}

.text-red {
    color: #CC0000;
}

.text-green {
    color: #00CC00;
}

.text-dgreen {
    color: #009900;
}

.text-yellow {
    color: #b3a105;
}

.text-yellowhigh {
    color: #ffff00;
}

.text-blue {
    color: #065197;
}

.text-bluehigh {
    color: #0af3f3;
}

.text-orange {
    color: #f8a50a;
}


/* főmenü */
.hovereffect {
    width: 100%;
    height: 100%;
    float: left;
    overflow: hidden;
    position: relative;
    text-align: center;
    cursor: default;
    background: #999999;
}

.hovereffect .overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    overflow: hidden;
    top: 0;
    left: 0;
    padding: 50px 20px;
}

.hovereffect img {
    display: block;
    position: relative;
    max-width: none;
    width: calc(100% + 20px);
    -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
    transition: opacity 0.35s, transform 0.35s;
    -webkit-transform: translate3d(-10px, 0, 0);
    transform: translate3d(-10px, 0, 0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.hovereffect:hover img {
    opacity: 0.4;
    filter: alpha(opacity=40);
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

.hovereffect h2 {
    text-transform: uppercase;
    text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
    color: #ffff00;
    text-align: center;
    position: relative;
    font-size: 30px;
    font-weight: bold;
    overflow: hidden;
    padding: 0;
    background-color: transparent;
}

.hovereffect h2:after {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;
    background: #ffff00;
    content: '';
    -webkit-transition: -webkit-transform 0.35s;
    transition: transform 0.35s;
    -webkit-transform: translate3d(-100%, 0, 0);
    transform: translate3d(-100%, 0, 0);
}

.hovereffect:hover h2:after {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

.hovereffect a,
.hovereffect p {
    margin-top: 50px;
    color: #fff;
    opacity: 0;
    filter: alpha(opacity=0);
    -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
    transition: opacity 0.35s, transform 0.35s;
    -webkit-transform: translate3d(100%, 0, 0);
    transform: translate3d(100%, 0, 0);
}

.hovereffect:hover a,
.hovereffect:hover p {
    opacity: 1;
    filter: alpha(opacity=100);
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

/* főmenü vége */

/*mobil főmenü */
.mobilemenu {
    width: 100%;
    height: 100%;
    float: left;
    overflow: hidden;
    position: relative;
    text-align: center;
    cursor: default;
    background: #999999;
}

.mobilemenu .overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    overflow: hidden;
    top: 0;
    left: 0;
}

.mobilemenu img {
    display: block;
    position: relative;
    max-width: none;
    width: calc(100% + 80px);
    height: 136px;
    -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
    transition: opacity 0.35s, transform 0.35s;
    -webkit-transform: translate3d(-10px, 0, 0);
    transform: translate3d(-10px, 0, 0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.mobilemenu h2 {
    text-transform: uppercase;
    text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
    color: #ffff00;
    text-align: center;
    position: relative;
    font-size: 20px;
    font-weight: bold;
    overflow: hidden;
    padding: 0px;
    margin: 0px;
    background-color: transparent;
    margin-bottom: -18px;
    margin-top: -8px;
}

.mobilemenu button {
    font-size: 12px;
    width: 110px;
    height: 46px;
}

/*mobil főmenü vége*/

.carousel-indicators li {
    width: 10px;
    height: 10px;
    border-radius: 100%;
}

.carousel-indicators {
    top: 255px;
}

.imglink {
    cursor: pointer;
    z-index: 3;
    background: transparent;
    width: 136px;
    height: 66px;
}

.imglink2 {
    z-index: 3;
    background: transparent;
    width: 136px;
    height: 66px;
}

.imglink:hover,
.imglink2:hover {
    border-style: solid;
    border-color: #000000;
    /*#664c00;*/
    border-width: 2px;
    opacity: 0.5;
    box-shadow: 5px 5px 5px #000000;
}

.parallelogram {
    width: 100px;
    height: 50px;
    transform: rotate(-32deg);
}

.parallelogram2 {
    width: 60px;
    height: 80px;
    transform: rotate(-30deg);
}

.parallelogram3 {
    width: 118px;
    height: 54px;
    transform: rotate(-25deg);
}

.parallelogram4 {
    width: 58px;
    height: 54px;
    transform: rotate(-25deg);
}

.checkboxes {
    height: 24px;
}

.checkboxes label {
    display: inline-block;
    padding-right: 10px;
    white-space: nowrap;
}

.checkboxes input {
    vertical-align: middle;
}

.checkboxes label span {
    vertical-align: middle;
}

/*--- Switch ------- */
.switch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 24px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 18px;
    width: 18px;
    left: 4px;
    bottom: 3px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked+.slider {
    background-color: #00A972;
}

input:focus+.slider {
    box-shadow: 0 0 1px #00A972;
}

input:checked+.slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

.slider.round {
    border-radius: 24px;
}

.slider.round:before {
    border-radius: 50%;
}

/*--- Switch vége---- */

/*--- vágólapra másolás ----*/
.tooltip_clipboard {
    position: relative;
    display: inline-block;
}

.tooltip_clipboard .tooltip_clipboardtext {
    visibility: hidden;
    width: 230px;
    background-color: #555;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px;
    position: absolute;
    z-index: 1;
    bottom: 150%;
    left: 50%;
    margin-left: -119px;
    opacity: 0;
    transition: opacity 0.3s;
}

.tooltip_clipboard .tooltip_clipboardtext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
}

.tooltip_clipboard:hover .tooltip_clipboardtext {
    visibility: visible;
    opacity: 1;
}

.popover {
    max-width: 600px !important;
}

.prtn-icon {
    display: flex;
    align-items: center;
    padding: 0.375rem 0.75rem;
    margin-bottom: 0;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    text-align: center;
    white-space: nowrap;
    background-color: #e9ecef;
    border-right: 1px solid #ced4da;
}

/*--- Upload ------- */

.btn-file {
    position: relative;
    overflow: hidden;
}

.btn-file input[type=file] {
    position: absolute;
    top: 0;
    right: 0;
    min-width: 100%;
    min-height: 100%;
    font-size: 100px;
    text-align: right;
    filter: alpha(opacity=0);
    opacity: 0;
    outline: none;
    cursor: inherit;
    display: block;
}

/* upload vége */

.disable-resize {
    resize: none;
}

.bothcenter {
    height: 150px;
    display: grid;
    place-items: center;
}

.roompicture {
    -webkit-box-shadow: 0px 10px 13px -7px #000000, 5px 5px 15px 5px rgba(0, 0, 0, 0);
    box-shadow: 0px 10px 13px -7px #000000, 5px 5px 15px 5px rgba(0, 0, 0, 0);
}

.hover-zoomin a {
    display: block;
    position: relative;
    overflow: hidden;
}

.hover-zoomin img {
    width: 100%;
    height: auto;
    -webkit-transition: all 0.5s ease-in-out;
    -moz-transition: all 0.5s ease-in-out;
    -o-transition: all 0.5s ease-in-out;
    -ms-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
}

.hover-zoomin:hover img {
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -o-transform: scale(1.2);
    -ms-transform: scale(1.2);
    transform: scale(1.2);
}


/* drag */
[draggable] {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.drag-list {
    overflow: hidden;
}

.drag-item {
    text-align: left;
    padding: 4px;
    cursor: move;
    color: #555;
    background: #ddd;
    border: 1px solid #ccc;
    width: 100%;

    margin: 0px !important;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-transition: 0.25s;
    -moz-transition: 0.25s;
    -o-transition: 0.25s;
    -ms-transition: 0.25s;
    transition: 0.25s;
}

.drag-start {
    background: #CCFFFF;
    opacity: 0.8;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=80)";
    filter: alpha(opacity=80);
}

.drag-enter {
    background: #FFFFCC;
    opacity: 0.5;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=50)";
    filter: alpha(opacity=50);
    -webkit-transform: scale(0.8);
    -moz-transform: scale(0.8);
    -o-transform: scale(0.8);
    -ms-transform: scale(0.8);
    transform: scale(0.8);
}

.bg-gray {
    background-color: #adadad;
}

.btn-export {
    color: #313005 !important;
    background-color: #f0ee82 !important;
    border-color: #666666 !important;
}

.btn-export:hover {
    color: #000000 !important;
    background-color: #dddb78 !important;
    border-color: #666666 !important;
}

/*--- Calendar ------- */

@media (max-width:575px) {
    .display-4 {
        font-size: 1.5rem;
    }

    .day h5 {
        background-color: #f8f9fa;
        padding: 3px 5px 5px;
        margin: -8px -8px 8px -8px;
    }

    .date {
        padding-left: 4px;
    }
}

@media (min-width: 576px) {
    .day {
        height: 9.3vw;
        /* 14.2857vw; */
        overflow-y: auto;
    }
}

.dayfont {
    line-height: 1;
    font-size: 1.3rem;
}

.day:hover {
    /*  cursor: pointer; */
    background: #FFFFCC;
}

.calendar_year {
    color: #000000;
    font-size: 24px;
    font-weight: bold;
}

.bg-calendartitle {
    background: #606c88;
    background: -moz-linear-gradient(top, #606c88 0%, #3f4c6b 100%);
    background: -webkit-linear-gradient(top, #606c88 0%, #3f4c6b 100%);
    background: linear-gradient(to bottom, #606c88 0%, #3f4c6b 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#606c88', endColorstr='#3f4c6b', GradientType=0);
}

.bg-zanka {
    background: linear-gradient(to bottom,  #f2825b 0%,#e55b2b 50%,#f07146 100%);
}

.bg-almadi {
    background: linear-gradient(to bottom,  #ff5db1 0%,#ef017c 100%);
}

/*--- Calendar vége ------- */

/* --- Checkbox select ---*/
.checkbox-menu {
    background-color:#FFFF77 !important;
    background: #FFFF77 !important;
    border: 1px solid #9F9F9F !important; 
    min-width: 430px !important;
    width: calc(100% - 54px);
}

.btn-checkboxlist {
    border: 1px solid #9F9F9F !important;  
    height: 40px;
    background: #FFFFEE !important;
}

.btn-checkboxlist:hover {
    background-color: #FFFFBB !important;
    border: 1px solid #9F9F9F;
}

.dropdown-toggle::after {
    position: absolute;
    right: 10px;
    margin-top: 0.7em;
}

.checkbox-menu li label {
    display: block;
    padding: 3px 10px;
    clear: both;
    font-weight: normal;
    line-height: 1.42857143;
    color: #333;
    white-space: nowrap;
    margin:0;
    transition: background-color .4s ease;
}
.checkbox-menu li input {
    margin: 0px 5px;
    top: 2px;
    position: relative;
}

.checkbox-menu li.active label {
    background-color: #cbcbff;
    font-weight:bold;
}

.checkbox-menu li label:hover,
.checkbox-menu li label:focus {
    background-color: #767676;
    color:#ffffff;
}

.checkbox-menu li.active label:hover,
.checkbox-menu li.active label:focus {
    background-color: #767676;
}
/* --- Checkbox select vége ---*/

/*---- ugrás a tetejére/aljára gombok --------*/
.rightside-button1 {
    position: fixed;
    right: 10px;
    top: 55%;
}

.rightside-button2 {
    position: fixed;
    top: 45%;
    right: 10px;
}

.arrowbutton {
    outline: none;
    border: none;
    background: transparent;
    cursor: pointer;
}

.arrowbutton:focus {
    outline: none;
}

/*---- ugrás a tetejére/aljára gombok vége ---*/

.display-5 {
    font-size: 2.8rem;
    font-weight: 300;
    line-height: 1.2; 
}

.bg-other {
    background: linear-gradient(to bottom, #e9f6fd 0%, #d3eefb 100%);
}

.bg-other:hover {
    background: #FFFFCC;
}

/*---- sorbarendezhető táblázat fejléc --------*/

th.sortable {
    cursor: pointer;
    user-select: none;
    position: relative;
}

th.sortable:hover {
    background-color: #f0f4ff;
    box-shadow: inset 0 -1px 0 rgba(0,0,0,0.1);
    color: #333333;
}

th.sortable .sort-icon {
    margin-left: 6px;
    font-size: 0.8em;
    opacity: 0.6;
}
/*---- sorbarendezhető táblázat fejléc vége ---*/


/*---- Színválasztó paletta -------------------*/
.palette {
    display: flex;
    gap: 8px;
    margin-bottom: 10px;
}

.color-box {
    width: 30px;
    height: 30px;
    border-radius: 4px;
    cursor: pointer;
    border: 1px solid #ccc;
}

/* Színválasztók méretezése */
.colorPicker {
    width: 60px;
    height: 30px;
    padding: 0;
    border: 1px solid #ccc;
    cursor: pointer;
}

/* Chrome/Edge belső swatch fix */
.colorPicker::-webkit-color-swatch-wrapper {
    padding: 0;
}

.colorPicker::-webkit-color-swatch {
    border: none;
}

.th-flex {
    display: flex;
    align-items: center;   /* függőleges középre igazítás */
    gap: 100px;             /* távolság a select és a szöveg között */
}


#upload_status {
    transition: background-color 1s ease;
}

#upload_status.highlight {
    background-color: #fff3cd; /* halvány sárga (Bootstrap warning háttér) */
}
